Sign in to follow this  
Followers 0
Witness

Is Windows XP still supported?

8 posts in this topic

Hello. After a couple of years of a break I recalled that I had Academagia around,and decided to give it a go on my old, but still working well computer, partially encouraged by the new patch (though I must say that I believe that current version of Academagia has enough content to make it last for a long while and I'd rather have new events and so on moved to the sequel, but that's beside the point).

 

However, after patching, I've stumbled upon a system error message at the very first screen after turning on the game.

 

I've reinstalled it, applied patch again, to the same effect. My account on this computer has admin priviledges and my .net framework is 4.0 which is the newest available for my system, (slightly spiffed-up) Windows XP. I know of existence of slightly newer version, 4.5.1 which however is designed only for Win Vista/7/8.

 

I am sure I was able to play older version of Academagia before and thus I am using this account (formerly made to exchange a few messages with Legate) to get an answer whether the issues may mean that I won't be able to play the game anymore without being forced to change whole OS.

 

Log from the most recent attempt at activation states:

 

[Academagia 2.14.0.0] - [2014-04-28T14:18:29.125+02:00] - [Error] - System.MissingMethodException: Method Not Found: 'Void System.Windows.Media.Animation.Storyboard.Begin()'.
in Academagia.MainWindow.LoadWelcomeContainer()
in Academagia.MainWindow._introductionTimer_Tick(Object sender, EventArgs e)
in System.Windows.Threading.DispatcherTimer.FireTick(Object unused)
in System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Boolean isSingleParameter)
in System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Boolean isSingleParameter, Delegate catchHandler)

Share this post


Link to post
Share on other sites

Although I no longer use xp, I see no reason why it wouldn't work. Actually, I'm curious about Y2s (expected) required specs. I'd like to be able to run it on my older systems.

Share this post


Link to post
Share on other sites
My account on this computer has admin priviledges

Is it just me of does the forum really, really hate quotes right now?

Share this post


Link to post
Share on other sites

"Is it just me of does the forum really, really hate quotes right now?"

 

Maybe we're just not fond of forum code.

Share this post


Link to post
Share on other sites

I tried the newest version on my XP and it's working fine.

Share this post


Link to post
Share on other sites

Alright, thanks for the info. Given what I understand from analysing the error log, I still assume the issue is somewhere in .net framework, even if theoretically it shouldn't be a problem as I have every package from 1.1 to 4. Guess I'll have to gut it all up and put it back together, though I hoped to avoid that. Will drop a word if I'll manage to fix it.

Share this post


Link to post
Share on other sites

Alright, after juggling, deleting and reinstalling different packages I've managed to get the game work, for now. Don't know if there was just some clash between them, some package was outdated but still necessary or whatever. Guess it was a self-help thread. Hopefully, at least it will be of some use to other users wondering why their XP cannot handle the game. I can fade now to the lurking. Goodbye.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0